-- WTFPL
-- Makes link tooltips show when you hover them in chat.
-- Ashamedly stolen from Chatter ;-)

Prat:AddModuleToLoad(function()

	local PRAT_MODULE = Prat:RequestModuleName("LinkHover")

	if PRAT_MODULE == nil then 
		return 
	end

	local PL = Prat:NewModule(PRAT_MODULE, "AceHook-3.0")
	Prat:SetModuleDefaults(PL.name, { profile = { on = true, } } )

	function PL:OnModuleEnable()
		for k,v in pairs(Prat.HookedFrames) do
			self:HookScript(v, "OnHyperlinkEnter")
			self:HookScript(v, "OnHyperlinkLeave")
		end
	end

	function PL:OnModuleDisable()
		self:UnhookAll()
	end

	local linktypelist  = { 
		achievement=true,
		enchant=true, 
		glyph=true,
		item=true, 
		quest=true, 
		spell=true, 
		talent=true,
		-- channel=false
		-- player=false,
		-- trade=false,
		-- url=false,
	}

	function PL:OnHyperlinkEnter(f, link, ...)
		local linktype = link:match("^([^:]+)")
		--if (PratLinkHover_DBG) then print(linktype) end
		if linktypelist[linktype] then
			ShowUIPanel(GameTooltip)
			GameTooltip:SetOwner(UIParent, "ANCHOR_CURSOR")
			GameTooltip:SetHyperlink(link)
			GameTooltip:Show()
		end
	end

	function PL:OnHyperlinkLeave(f, link, ...)
		HideUIPanel(GameTooltip)
	end

	return
end ) -- Prat:AddModuleToLoad
